Package org.eclipse.cdt.utils.debug

# Class DebugEnumField

java.lang.Object
org.eclipse.cdt.utils.debug.DebugEnumField

public class DebugEnumField extends Object
DebugEnumField

## Constructor Summary

Constructors
Constructor
Description
`DebugEnumField(String name, int value)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`int`
`getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DebugEnumField

public DebugEnumField(String name, int value)

## Method Details

### getName

public String getName()

### getValue

public int getValue()